Package org.eclipse.graphiti.internal

# Class DefaultFeatureAndContext

java.lang.Object
org.eclipse.graphiti.internal.DefaultFeatureAndContext

All Implemented Interfaces:
  `IContextHolder`, `IFeatureAndContext`, `IFeatureHolder`

public class DefaultFeatureAndContext extends Object implements IFeatureAndContext
The Class DefaultFeatureAndContext.

## Constructor Summary

Constructors
Constructor
Description
`DefaultFeatureAndContext(IFeature feature, IContext context)`
Instantiates a new default feature and context.

## Method Summary

Modifier and Type
Method
Description
`IContext`
`getContext()`
Gets the context.
`IFeature`
`getFeature()`
Gets the feature.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DefaultFeatureAndContext

public DefaultFeatureAndContext(IFeature feature, IContext context)
Instantiates a new default feature and context.

Parameters:
  `feature` - the feature
  `context` - the context

## Method Details

### getFeature

public IFeature getFeature()
Description copied from interface: `IFeatureHolder`
Gets the feature.

Specified by:
  `getFeature` in interface `IFeatureHolder`
Returns:
  the feature

### getContext

public IContext getContext()
Description copied from interface: `IContextHolder`
Gets the context.

Specified by:
  `getContext` in interface `IContextHolder`
Returns:
  the context

### toString

public String toString()

Overrides:
  `toString` in class `Object`